VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
ITestPlugProvider2 Class Referenceabstract

Test Helper extension. More...

`#include <ivsttestplugprovider.h>`

Inheritance diagram for ITestPlugProvider2:

## Public Member Functions
virtual IPluginFactory * | getPluginFactory ()=0
| get the plugin factory.
Public Member Functions inherited from ITestPlugProvider
virtual IComponent * | getComponent ()=0
| get the component of the plug-in.
virtual IEditController * | getController ()=0
| get the controller of the plug-in.
virtual tresult | releasePlugIn (IComponent *component, IEditController *controller)=0
| release the component and/or controller
virtual tresult | getSubCategories (IStringResult &result) const =0
| get the sub categories of the plug-in
virtual tresult | getComponentUID (FUID &uid) const =0
| get the component UID of the plug-in
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from ITestPlugProvider
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Test Helper extension.

## Member Function Documentation

virtual IPluginFactory* getPluginFactory | ( |  | ) |
| pure virtual

get the plugin factory.

The reference count of the returned factory object is not increased when calling this function.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.